import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'deviceStatus',
  standalone: true
})
export class DeviceStatusPipe implements PipeTransform {

  transform(statusNum: number): string {
    switch (statusNum) {
      case 1:
        return '正常';
      case 2:
        return '停用';
      default:
        return '未知';
    }
  }

}
